POST api/OAuth/GetToken
Request Information
URI Parameters
None.
Body Parameters
AuthenticationRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| grant_type | string |
None. |
|
| client_id | string |
None. |
|
| client_secret | string |
None. |
|
| scope | string |
None. |
|
| integrator_id | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"grant_type": "sample string 1",
"client_id": "sample string 2",
"client_secret": "sample string 3",
"scope": "sample string 4",
"integrator_id": 5
}
application/xml, text/xml
Sample:
<AuthenticationRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/iListApi.Helpers"> <grant_type>sample string 1</grant_type> <client_id>sample string 2</client_id> <client_secret>sample string 3</client_secret> <scope>sample string 4</scope> <integrator_id>5</integrator_id> </AuthenticationRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AccessTokenResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| access_token | string |
None. |
|
| token_type | string |
None. |
|
| expires_in | integer |
None. |
|
| refresh_token | string |
None. |
|
| error_message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"access_token": "sample string 1",
"token_type": "sample string 2",
"expires_in": 3,
"refresh_token": "sample string 4",
"error_message": "sample string 5"
}
application/xml, text/xml
Sample:
<AccessTokenResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance"> <access_token>sample string 1</access_token> <error_message>sample string 5</error_message> <expires_in>3</expires_in> <refresh_token>sample string 4</refresh_token> <token_type>sample string 2</token_type> </AccessTokenResponse>